%define major	0
%define libname	%mklibname ettercap %{major}
%define devname	%mklibname ettercap -d

Name:		ettercap
Version:	0.8.3.1
Release:	%mkrel 6
License:	GPLv2+
Group:		Networking/Other
Summary:	Ncurses/Gtk3 based sniffer/interceptor utility
URL:		https://ettercap.github.io/ettercap/
Source:		https://github.com/Ettercap/ettercap/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		ettercap-0.8.2-fix-desktop-file.patch
Patch1:		ettercap-0.8.3-ncurses-tinfo.patch
Patch2:		ettercap-0.8.3-harfbuzz-header-path.patch
Patch3:		ettercap-0.8.1-radius-stack-overflow.patch
Patch4:		2168090f5b023573ebea0f83574950401ed5d67b.patch
Patch5:		ettercap-linking.patch
Patch6:		ettercap-str-fmt.patch
Patch7:		1170.patch
Patch8:		40534662043b7d831d1f6c70448afa9d374a9b63.patch
BuildRequires:	appstream-util
BuildRequires:	libpcap-devel >= 0.8.1
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	net-devel >= 1.1.2.1
BuildRequires:	pkgconfig(zlib)
BuildRequires:	libtool-devel
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig >= 0.15.0
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	groff
BuildRequires:	ghostscript

%description
Ettercap is a suite for man in the middle attacks on LAN.

It features sniffing of live connections, content filtering
on the fly and many other interesting tricks.

It supports active and passive dissection of many protocols
(even ciphered ones) and includes many feature for network
and host analysis.

%package -n	%{libname}
Group:	 	System/Libraries
Summary:	Ettercap library

%description -n	%{libname}
Ettercap library.

%package -n	%{devname}
Group:	 	System/Libraries
Summary:	Ettercap development library

%description -n	%{devname}
Ettercap development library.

%prep
%autosetup -p1

%build
%cmake \
	-DDISABLE_RPATH=yes \
	-DBUNDLED_LIBS=no \
	-DENABLE_IPV6=yes \
	-DENABLE_GEOIP=no \
	-DCURSES_NCURSES_EXTRA_LIBRARY:FILEPATH=%{_libdir}/libtinfo.so
%cmake_build

%install
%cmake_install

install -c -m 644 desktop/ettercap.appdata.xml %{buildroot}%{_metainfodir}/ettercap.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml

%files
%doc AUTHORS CHANGELOG INSTALL LICENSE README* THANKS TODO TODO.TESTING doc/*
%{_mandir}/man?/*
%{_bindir}/*
%{_datadir}/ettercap
%{_metainfodir}/ettercap.appdata.xml
%{_metainfodir}/ettercap.metainfo.xml
%{_datadir}/applications/ettercap.desktop
%{_datadir}/pixmaps/ettercap.svg
%{_datadir}/polkit-1/actions/org.pkexec.ettercap.policy
%{_libdir}/ettercap
%dir %{_sysconfdir}/ettercap
%config(noreplace) %{_sysconfdir}/ettercap/*

%files -n %{libname}
%{_libdir}/libettercap.so.%{major}{,.*}
%{_libdir}/libettercap-ui.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libettercap.so
%{_libdir}/libettercap-ui.so


%changelog
* Wed Oct 09 2024 ns80 <ns80> 0.8.3.1-6.mga10
+ Revision: 2104285
- add a patch to fix building with curl 8

* Thu Apr 13 2023 daviddavid <daviddavid> 0.8.3.1-5.mga9
+ Revision: 1952895
- switch to pcre2 (mga#31791)

* Wed Dec 21 2022 daviddavid <daviddavid> 0.8.3.1-4.mga9
+ Revision: 1925594
- rebuild for libbsd 0.11.7

* Thu Mar 31 2022 umeabot <umeabot> 0.8.3.1-3.mga9
+ Revision: 1836269
- Mageia 9 Mass Rebuild

* Sun Oct 03 2021 wally <wally> 0.8.3.1-2.mga9
+ Revision: 1748787
- disable rpath
- add patch to fix str fmt
- rebuild for openssl 3.0.0

* Sun Dec 06 2020 luigiwalser <luigiwalser> 0.8.3.1-1.mga8
+ Revision: 1653709
- 0.8.3.1
- remove GCC 10 workaround (fixed upstream)
- rediff patches 1 and 5 and add bit from fedora to patch 5 (harfbuzz)
- remove upstreamed patches 2, 3, 4
- add 2 additional upstream fixes via fedora
- now gtk+3 instead of gtk+2
- add devel subpackage for .so files
- validate appdata file
- add libettercap-ui.so.* to library subpackage

* Fri Aug 21 2020 joequant <joequant> 0.8.2-11.mga8
+ Revision: 1617485
- fix gcc10

* Sat Feb 15 2020 umeabot <umeabot> 0.8.2-10.mga8
+ Revision: 1528616
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Aug 24 2019 daviddavid <daviddavid> 0.8.2-9.mga8
+ Revision: 1431554
- add patch to adding harfbuzz headers thus fixing build with pango 1.44+
- do not package devel files in non devel sub-pkg

* Sun Sep 23 2018 umeabot <umeabot> 0.8.2-8.mga7
+ Revision: 1297632
- Mageia 7 Mass Rebuild

* Mon Oct 09 2017 daviddavid <daviddavid> 0.8.2-7.mga7
+ Revision: 1170363
- patch4: First draft of openssl 1.1.0 compatibility

* Sat Jun 10 2017 luigiwalser <luigiwalser> 0.8.2-6.mga6
+ Revision: 1107478
- rediff patch from fedora to fix CVE-2017-8366

* Mon May 01 2017 neoclust <neoclust> 0.8.2-5.mga6
+ Revision: 1098201
- Add P2 - Fixes CVE-2017-6430 (mga#20486)

* Thu Mar 17 2016 daviddavid <daviddavid> 0.8.2-4.mga6
+ Revision: 992350
- rename and rediff unappliable ncurses-tinfo patch (since fixed autopatch)
- use a named-versioned tarball from github

* Wed Mar 02 2016 umeabot <umeabot> 0.8.2-3.mga6
+ Revision: 983395
- Rebuild for openssl

* Thu Dec 31 2015 luigiwalser <luigiwalser> 0.8.2-2.mga6
+ Revision: 917458
- add patch to fix desktop file
- add subpackage for library
- fix files list
- 0.8.2
- remove upstream patches

* Tue Dec 30 2014 luigiwalser <luigiwalser> 0.8.0-6.mga5
+ Revision: 807427
- add upstream patches (rediffed 5th and 10th) to fix security issues (mga#14919)

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 749137
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 umeabot <umeabot> 0.8.0-4.mga5
+ Revision: 737058
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 539643
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 wally <wally> 0.8.0-2.mga4
+ Revision: 492638
- add more proper fix to ncurses/tinfo issue

* Mon Oct 07 2013 wally <wally> 0.8.0-1.mga4
+ Revision: 492623
- fix build with ncurses after tinfo split
+ pterjan <pterjan>
- 0.8.0
- Updated patch + file list

* Sun Jun 02 2013 pterjan <pterjan> 0.7.6-1.mga4
+ Revision: 434301
- Update to 0.7.6

* Fri Feb 01 2013 luigiwalser <luigiwalser> 0.7.4.1-6.mga3
+ Revision: 393951
- rediff patch from fedora to fix CVE-2013-0722

* Fri Jan 11 2013 umeabot <umeabot> 0.7.4.1-5.mga3
+ Revision: 349767
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 0.7.4.1-4.mga3
+ Revision: 344693
- Fix build with automake 1.13

* Sat Dec 01 2012 fwang <fwang> 0.7.4.1-3.mga3
+ Revision: 323772
- rebuild for new pcre

* Wed Aug 08 2012 luigiwalser <luigiwalser> 0.7.4.1-2.mga3
+ Revision: 280069
- add patch from fedora to fix CVE-2010-3843

* Mon Mar 05 2012 pterjan <pterjan> 0.7.4.1-1.mga2
+ Revision: 219342
- Update to 0.7.4.1

* Wed Dec 21 2011 pterjan <pterjan> 0.7.4-1.mga2
+ Revision: 185525
- Hack to fix parallel build
- imported package ettercap

